<?php
// Version: 1.0.3; Display

function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	// If there are additional smileys then ensure we provide the javascript for them.
	if (!empty($context['smileys']['popup']))
	{
		echo '
				<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
					var smileys = [';

		foreach ($context['smileys']['popup'] as $smiley_row)
		{
			echo '
						[';
			foreach ($smiley_row['smileys'] as $smiley)
			{
				echo '
							["', $smiley['code'], '","', $smiley['filename'], '","', $smiley['js_description'], '"]';
				if (empty($smiley['last']))
					echo ',';
			}

			echo ']';
			if (empty($smiley_row['last']))
				echo ',';
		}

		echo '];
					var smileyPopupWindow;
	
					function moreSmileys()
					{
						var row, i;
	
						if (smileyPopupWindow)
							smileyPopupWindow.close();
	
						smileyPopupWindow = window.open("", "add_smileys", "toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,width=480,height=220,resizable=yes");
						smileyPopupWindow.document.write(\'<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html>\');
						smileyPopupWindow.document.write(\'\n\t<head>\n\t\t<title>', $txt['more_smileys_title'], '</title>\n\t\t<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/style.css" />\n\t</head>\');
						smileyPopupWindow.document.write(\'\n\t<body style="margin: 1ex;">\n\t\t<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder">\n\t\t\t<tr class="titlebg"><td align="left">', $txt['more_smileys_pick'], '</td></tr>\n\t\t\t<tr class="windowbg"><td align="left">\');
	
						for (row = 0; row < smileys.length; row++)
						{
							for (i = 0; i < smileys[row].length; i++)
							{
								smileys[row][i][2] = smileys[row][i][2].replace(/"/g, \'&quot;\');
								smileyPopupWindow.document.write(\'<a href="javascript:void(0);" onclick="window.opener.replaceText(&quot; \' + smileys[row][i][0] + \'&quot;, window.opener.document.', $context['post_form'], '.', $context['post_box_name'], '); window.focus(); return false;"><img src="', $settings['smileys_url'], '/\' + smileys[row][i][1] + \'" alt="\' + smileys[row][i][2] + \'" title="\' + smileys[row][i][2] + \'" style="padding: 4px;" border="0" /></a> \');
							}
							smileyPopupWindow.document.write("<br />");
						}
	
						smileyPopupWindow.document.write(\'</td></tr>\n\t\t\t<tr><td align="center" class="windowbg"><a href="javascript:window.close();\\">', $txt['more_smileys_close_window'], '</a></td></tr>\n\t\t</table>\n\t</body>\n</html>\');
						smileyPopupWindow.document.close();
					}
				// ]]></script>';
	}
}
?>
